# Main config, check the '/tcpdf/config/tcpdf_config.file' and the TCPDF documentation
# for more infos about these parameters
default:
  # Be carefull the order of these configuration keys should not be modified.

  # Disable default TCPDF default config
  K_TCPDF_EXTERNAL_CONFIG: true
  
  # Auto-detected parameters (leave empty for auto-detection) ##################
  K_PATH_MAIN:
  K_PATH_URL:
  K_PATH_FONTS:
  K_PATH_CACHE:
  K_PATH_URL_CACHE:
  K_PATH_IMAGES:
  K_BLANK_IMAGE:

  # Other parameters  ##########################################################
  # page format
  PDF_PAGE_FORMAT: "A4"
  # page orientation (P=portrait, L=landscape)
  PDF_PAGE_ORIENTATION: "P"
  # document creator
  PDF_CREATOR: "TCPDF"
  # document author
  PDF_AUTHOR: "Alvo"
  # header title
  PDF_HEADER_TITLE: "Alvo"
  # header description string
  PDF_HEADER_STRING: ""
  # image logo
  PDF_HEADER_LOGO: "tcpdf_logo.jpg"
  # header logo image width [mm]
  PDF_HEADER_LOGO_WIDTH: 30
  # document unit of measure [pt=point, mm=millimeter, cm=centimeter, in=inch]
  PDF_UNIT: "mm"
  # header margin
  PDF_MARGIN_HEADER: "5"
  # footer margin
  PDF_MARGIN_FOOTER: "50"
  # top margin
  PDF_MARGIN_TOP: "27"
  # bottom margin
  # PDF_MARGIN_BOTTOM: "34"
  PDF_MARGIN_BOTTOM: "34"
  # left margin
  PDF_MARGIN_LEFT: "15"
  # right margin
  PDF_MARGIN_RIGHT: "15"
  # default main font name
  PDF_FONT_NAME_MAIN: "helvetica"
  # default main font size
  PDF_FONT_SIZE_MAIN: "10"
  # default data font name
  PDF_FONT_NAME_DATA: "helvetica"
  # default data font size
  PDF_FONT_SIZE_DATA: "8"
  # default monospaced font name
  PDF_FONT_MONOSPACED: "courier"
  # Ratio used to scale the images
  PDF_IMAGE_SCALE_RATIO: "4"
  # magnification factor for titles
  HEAD_MAGNIFICATION: "1.1"
  # height of cell repect font height
  K_CELL_HEIGHT_RATIO: "1.25"
  # title magnification respect main font size
  K_TITLE_MAGNIFICATION: "1.3"
  # reduction factor for small font
  K_SMALL_RATIO: "2/3"
  # set to true to enable the special procedure used to avoid the overlappind of symbols on Thai language
  K_THAI_TOPCHARS: true
  # if true allows to call TCPDF methods using HTML syntax
  # IMPORTANT: For security reason, disable this feature if you are printing user HTML content.
  K_TCPDF_CALLS_IN_HTML: true

# Specific configs (copy this file in your application config directory to ovveride it)
my_config:
  K_TCPDF_EXTERNAL_CONFIG: true
  K_PATH_MAIN:      /var/www/my-symfony-project/plugins/sfTCPDFPlugin/tcpdf/
  K_PATH_URL:       http://dev.my-symfony-project/
  K_PATH_FONTS:     /var/www/my-symfony-project/plugins/sfTCPDFPlugin/tcpdf/fonts
  K_PATH_CACHE:     /var/www/my-symfony-project/plugins/sfTCPDFPlugin/tcpdf/cache
  K_PATH_URL_CACHE: http://dev.my-symfony-project/cache
  K_PATH_IMAGES:    /var/www/my-symfony-project/plugins/sfTCPDFPlugin/tcpdf/images
  K_BLANK_IMAGE:    /var/www/my-symfony-project/plugins/sfTCPDFPlugin/tcpdf/images/_blank.png

  # ... copy paste from defaulf config.